Subject: bug#34792: 27.0.50; format %x and %X don't print as unsigned

From: Ivan Andrus <[email-masked]>
Date: Sat, 9 Mar 2019 11:48:51 -0700

On Mar 8, 2019, at 7:03 PM, Glenn Morris <[email-masked]> wrote:
> 
> Ivan Andrus wrote:
> 
>> The following snippets return strings with negative signs, but the
>> docstring of format says they should be unsigned. 
> 
> See etc/NEWS 'Numbers formatted via...'
> 
> I don't understand the "bignums, a planned feature." in that entry.
> It makes it sound like bignum will be implemented in future, but they
> already are?
> 
> Also the sense of the entry seems backwards, since binary-as-unsigned is
> nil by default (but from editfns.c I see "it depends").
> 
> Anyway, it seems like the doc the 'format' function wasn't updated.

Thanks! I should have thought to check NEWS.

I took the liberty for pushing a change to the docstring to master.  Hopefully, it's acceptable.

-Ivan